import sys
import  pandas as pd

obj_program ={

    "routeUGWgWzqBWFcrCfv8tritsqukccJPu3q5GPP3xS":"ray_amm",
    "6m2CDdhRgxpH4WjvdzxAYbGxwdGUz5MziiL5jek2kBma":"OKX_v2",
    "JUP6LkbZbjS1jKKwapdHNy74zcZ3tLUZoi5QNyVTaV4":"Jupiter_v6",
   "BANANAjs7FJiPQqJTGFzkZJndT9o7UmKiYYGaJz6frGu": "Banana_Gun",


}
def main():
    # Check if a file name is provided as an argument
    if len(sys.argv)!= 2:
        print("Usage: python script.py <filename>")
        sys.exit(1)

    # Get the file name from the command line argument
    filename = sys.argv[1]
    df = pd.read_csv(filename , dtype=object)
    df["trade_source"] = df["trade_source"].map(obj_program).fillna(df["trade_source"])
    df.to_csv(f"new_{filename}" , index=False )


    # Process the file here
    print(f"Processing file: {filename}")
    # Add your file processing logic here

if __name__ == "__main__":
    main()
